<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>distributed-mixing</artifactId>
        <groupId>com.scytl.products.ov.channel.cc</groupId>
        <version>2.1.7</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>distributed-mixing-service</artifactId>
    <name>Online Voting - Distributed Mixing - Service</name>

    <dependencies>
        <dependency>
            <groupId>com.scytl.products.ov.channel.cc</groupId>
            <artifactId>control-components-commons</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>javax.transaction-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.math</groupId>
            <artifactId>scytl-math</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-beans</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-dto</artifactId>
        </dependency>
        <dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-sign</artifactId>
		</dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-messaging</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-mixer</artifactId>
            <version>${mixing.version}</version>
        </dependency>
        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-spring</artifactId>
            <version>${mixing.version}</version>
        </dependency>
        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-engine</artifactId>
            <version>${mixing.version}</version>
            <exclusions>
                <!-- Mockito is wrongly exported by mixing-engine -->
                <!-- https://scm.scytl.net/stash/projects/COMP/repos/online-voting-mixing/pull-requests/47/ -->
                <exclusion>
                    <artifactId>mockito-all</artifactId>
                    <groupId>org.mockito</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-commons</artifactId>
            <version>${mixing.version}</version>
        </dependency>
        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-shuffler</artifactId>
            <version>${mixing.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>

        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring-boot.version}</version>
                <configuration>
                    <mainClass>com.scytl.products.ov.channel.cc.mixing.Application</mainClass>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <profiles>
        <profile>
            <id>skipTestRun</id>
            <activation>
                <property>
                    <name>skipTests</name>
                    <value>!true</value>
                </property>
            </activation>
            <dependencies>
                <dependency>
                    <groupId>com.scytl.products.ov.channel.commons</groupId>
                    <artifactId>ov-commons-sign</artifactId>
                    <type>test-jar</type>
                    <scope>test</scope>
                    <version>${project.version}</version>
                </dependency>
            </dependencies>
        </profile>
    </profiles>

</project>
